> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-api-common-tasks-cookbook.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Inference Usage Summary

> Returns inference request and token totals for this Edge, with time series and model breakdowns.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/apps/{app_id}/edges/{id}/inference/usage
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/edges/{id}/inference/usage:
    get:
      tags:
        - Edge
      summary: Get Inference Usage Summary
      description: >-
        Returns inference request and token totals for this Edge, with time
        series and model breakdowns.
      operationId: c1.api.edge.v1.EdgeService.GetInferenceUsageSummary
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The appId field.
            type: string
        - in: path
          name: id
          required: true
          schema:
            description: The id field.
            type: string
        - in: query
          name: bucket
          schema:
            description: The bucket field.
            enum:
              - TB_TIME_BUCKET_UNSPECIFIED
              - TB_TIME_BUCKET_HOUR
              - TB_TIME_BUCKET_DAY
            type: string
            x-speakeasy-unknown-values: allow
        - in: query
          name: dimension
          schema:
            description: The dimension field.
            enum:
              - TB_USAGE_ATTRIBUTION_DIMENSION_UNSPECIFIED
              - TB_USAGE_ATTRIBUTION_DIMENSION_TEAM
              - TB_USAGE_ATTRIBUTION_DIMENSION_APPLICATION
              - TB_USAGE_ATTRIBUTION_DIMENSION_AGENT
              - TB_USAGE_ATTRIBUTION_DIMENSION_COST_CENTER
            type: string
            x-speakeasy-unknown-values: allow
        - in: query
          name: page_size
          schema:
            description: The pageSize field.
            format: int32
            type: integer
        - in: query
          name: page_token
          schema:
            description: The pageToken field.
            type: string
        - in: query
          name: since
          schema:
            description: The since field.
            format: int64
            type: string
        - in: query
          name: until
          schema:
            description: The until field.
            format: int64
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.edge.v1.EdgeServiceGetInferenceUsageSummaryResponse
          description: Successful response
components:
  schemas:
    c1.api.edge.v1.EdgeServiceGetInferenceUsageSummaryResponse:
      description: The EdgeServiceGetInferenceUsageSummaryResponse message.
      properties:
        modelBreakdown:
          description: The modelBreakdown field.
          items:
            $ref: >-
              #/components/schemas/c1.api.tbcontrolplane.v1.TBUsageModelBreakdown
          type:
            - array
            - 'null'
        series:
          description: The series field.
          items:
            $ref: '#/components/schemas/c1.api.tbcontrolplane.v1.TBUsageSummaryBucket'
          type:
            - array
            - 'null'
        totalCacheReadTokens:
          description: The totalCacheReadTokens field.
          format: uint64
          type: string
        totalCacheWriteTokens:
          description: The totalCacheWriteTokens field.
          format: uint64
          type: string
        totalInputTokens:
          description: The totalInputTokens field.
          format: uint64
          type: string
        totalOutputTokens:
          description: The totalOutputTokens field.
          format: uint64
          type: string
        totalRequests:
          description: The totalRequests field.
          format: uint64
          type: string
      title: Edge Service Get Inference Usage Summary Response
      type: object
      x-speakeasy-name-override: EdgeServiceGetInferenceUsageSummaryResponse
    c1.api.tbcontrolplane.v1.TBUsageModelBreakdown:
      description: TBUsageModelBreakdown is one (logical_model, model_target) group.
      properties:
        inputTokens:
          description: The inputTokens field.
          format: uint64
          type: string
        logicalModel:
          description: The logicalModel field.
          type: string
        modelTarget:
          description: The modelTarget field.
          type: string
        outputTokens:
          description: The outputTokens field.
          format: uint64
          type: string
        requestCount:
          description: The requestCount field.
          format: uint64
          type: string
      title: Tb Usage Model Breakdown
      type: object
      x-speakeasy-name-override: TBUsageModelBreakdown
    c1.api.tbcontrolplane.v1.TBUsageSummaryBucket:
      description: TBUsageSummaryBucket is one point in GetUsageSummary's time series.
      properties:
        bucketStart:
          format: date-time
          type:
            - string
            - 'null'
        inputTokens:
          description: The inputTokens field.
          format: uint64
          type: string
        outputTokens:
          description: The outputTokens field.
          format: uint64
          type: string
      title: Tb Usage Summary Bucket
      type: object
      x-speakeasy-name-override: TBUsageSummaryBucket
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````